EXIT(3)

NAME
exit - perform normal program termination

SYNOPSIS
#include <stdlib.h>
void
exit(int status);

DESCRIPTION
Exit() terminates a process.

Before termination it performs the following functions in the order listed:

1.  Call the functions registered with the atexit(3) function, in the reverse order of their registration.

2.  Flush all open output streams.

3.  Close all open streams.

4.  Unlink all files created with the tmpfile(3) function.

RETURN VALUES
The exit() function never returns.

SEE ALSO
_exit(2), atexit(3), intro(3), tmpfile(3)

STANDARDS
The exit() function conforms to ansiC.